mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. This interface is used to query for instances of objects based on a Type. This interface provides a mechanism to fetch instances to objects of a given from classes that implement this interface. For example the class implements this and allows fething a few fields that are not exposed by its properties.

A typical implementation will look like this:

`object IServiceProvider.GetService (Type service) { if (service == typeof (Something)) return something; if (service == typeof (DateTime)) return my_date_time; }`
- Method
  System.Object `` To be added: an object of type 'Type' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0 4.0.0.0